import { NativeModules, Platform } from 'react-native';
export async function getBrightnessAsync() {
    return await NativeModules.ExponentBrightness.getBrightnessAsync();
}
export async function setBrightnessAsync(brightnessValue) {
    brightnessValue = Math.max(0, Math.min(brightnessValue, 1));
    return await NativeModules.ExponentBrightness.setBrightnessAsync(brightnessValue);
}
export async function getSystemBrightnessAsync() {
    if (Platform.OS !== 'android') {
        return await getBrightnessAsync();
    }
    return await NativeModules.ExponentBrightness.getSystemBrightnessAsync();
}
export async function setSystemBrightnessAsync(brightnessValue) {
    brightnessValue = Math.max(0, Math.min(brightnessValue, 1));
    if (Platform.OS !== 'android') {
        return await setBrightnessAsync(brightnessValue);
    }
    else {
        return await NativeModules.ExponentBrightness.setSystemBrightnessAsync(brightnessValue);
    }
}
//# sourceMappingURL=Brightness.js.map