import invariant from 'invariant';
import { NativeModules, Platform } from 'react-native';
const { ExponentFingerprint } = NativeModules;
export function hasHardwareAsync() {
    return ExponentFingerprint.hasHardwareAsync();
}
export function isEnrolledAsync() {
    return ExponentFingerprint.isEnrolledAsync();
}
export function authenticateAsync(promptMessageIOS = 'Authenticate') {
    if (Platform.OS === 'ios') {
        invariant(typeof promptMessageIOS === 'string' && promptMessageIOS.length, 'Fingerprint.authenticateAsync must be called with a non-empty string on iOS');
        return ExponentFingerprint.authenticateAsync(promptMessageIOS);
    }
    else {
        return ExponentFingerprint.authenticateAsync();
    }
}
export function cancelAuthenticate() {
    ExponentFingerprint.cancelAuthenticate();
}
//# sourceMappingURL=Fingerprint.js.map