import PropTypes from 'prop-types';
import * as React from 'react';
import { ViewPropTypes, requireNativeComponent } from 'react-native';
export default class BlurView extends React.Component {
    render() {
        let { style, ...props } = this.props;
        return <NativeBlurView {...props} style={[style, { backgroundColor: 'transparent' }]}/>;
    }
}
BlurView.propTypes = {
    ...ViewPropTypes,
    tint: PropTypes.oneOf(['light', 'default', 'dark']).isRequired,
    intensity: PropTypes.number.isRequired,
};
BlurView.defaultProps = {
    tint: 'default',
    intensity: 50,
};
const NativeBlurView = requireNativeComponent('ExponentBlurView', BlurView);
//# sourceMappingURL=BlurView.ios.js.map