import PropTypes from 'prop-types';
import React from 'react';
import { ViewPropTypes, requireNativeComponent } from 'react-native';
export default class BannerAd extends React.Component {
    render() {
        let { type, onPress, onError, style, ...props } = this.props;
        let size = _getSizeForAdType(type);
        return (<NativeBannerView size={size} onAdPress={onPress} onAdError={onError} style={[style, { height: size }]} {...props}/>);
    }
}
function _getSizeForAdType(type) {
    const sizes = { standard: 50, large: 90, rectangle: 250 };
    return sizes.hasOwnProperty(type) ? sizes[type] : sizes.standard;
}
const NativeBannerView = requireNativeComponent('CTKBannerView', {
    propTypes: {
        ...ViewPropTypes,
        placementId: PropTypes.string.isRequired,
        size: PropTypes.number.isRequired,
        onAdPress: PropTypes.func,
        onAdError: PropTypes.func,
    },
});
//# sourceMappingURL=BannerAd.js.map