import { Font } from 'expo-font';
import * as React from 'react';
import { AppRegistry, StyleSheet } from 'react-native';
import Notifications from '../Notifications';
import RootErrorBoundary from './RootErrorBoundary';
function wrapWithExpoRoot(AppRootComponent) {
    return class ExpoRootComponent extends React.Component {
        componentWillMount() {
            StyleSheet.setStyleAttributePreprocessor('fontFamily', Font.processFontFamily);
            if (this.props.exp.notification) {
                Notifications._setInitialNotification(this.props.exp.notification);
            }
        }
        render() {
            if (__DEV__) {
                return (<RootErrorBoundary>
            <AppRootComponent {...this.props}/>
          </RootErrorBoundary>);
            }
            else {
                return <AppRootComponent {...this.props}/>;
            }
        }
    };
}
export default function registerRootComponent(component) {
    AppRegistry.registerComponent('main', () => wrapWithExpoRoot(component));
}
//# sourceMappingURL=registerRootComponent.js.map